edge-finding.hpp File Reference
`#include <algorithm>`

Go to the source code of this file.

## Classes

class | Gecode::Int::Cumulative::StoCap< TaskView, inc >
| Sort by capacity. More...
class | Gecode::Int::Cumulative::PrecOrder
| Sort by prec array. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Cumulative
| Scheduling for cumulative resources

## Functions

template<class TaskView>
ExecStatus | Gecode::Int::Cumulative::edgefinding (Space &home, int c, TaskViewArray< TaskView > &t)
template<class Task>
ExecStatus | Gecode::Int::Cumulative::edgefinding (Space &home, int c, TaskArray< Task > &t)
| Propagate by edge-finding.